Shotcut 23.11.29 segfaults debian 12 [SOLVED]

Dear community, dear devs. The appimage and the portable tar are segfaulting when starting:

  - vp9_vaapi
  - vnull
...
Segmentation fault
tom@erde:~$ 

The previous versions worked well. I tried deleting ~/.config/Melytech. I start shotcut with:

Shotcut.app/shotcut

Do you have any idea what I’m doing wrong perhaps?
A good weekend & kind regards
Tom

Might be related to this

1 Like

Thank you! I did’t find a solution there. Here is the shotcut log - but I can’t see an error.

shotcut-log.txt (6.6 KB)

I tried to start gnome with Xorg this time. And this works, shotcut starts. does it perhaps have something to do with wayland?
Greetings, Tom

i installed:

sudo apt install qt6-wayland

now it works with wayland, too. Solved.

1 Like

OK, our bundles do include Qt 6 Wayland plugins, but I would not be surprised if there is a Wayland version incompatibility.

I had to install the same package on a fresh default install of Ubuntu 23.10 (uses Wayland) to get it working there too.

1 Like

After installing qt6-wayland it now works, Thanks

1 Like